Magick::DrawableLine Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableLine:
[legend]
Collaboration diagram for Magick::DrawableLine:
[legend]

## Public Member Functions

| DrawableLine (double startX_, double startY_, double endX_, double endY_)
| ~DrawableLine (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | startX (double startX_)
double | startX (void) const
void | startY (double startY_)
double | startY (void) const
void | endX (double endX_)
double | endX (void) const
void | endY (double endY_)
double | endY (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1010 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableLine::DrawableLine | ( | double | startX_,
|  | double | startY_,
|  | double | endX_,
|  | double | endY_
| ) |  |

inline

Definition at line 1013 of file Drawable.h.

Magick::DrawableLine::~DrawableLine | ( | void |  | ) |

Definition at line 721 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableLine::copy | ( |  | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 728 of file Drawable.cpp.

void Magick::DrawableLine::endX | ( | double | endX_ | ) |

inline

Definition at line 1047 of file Drawable.h.

double Magick::DrawableLine::endX | ( | void |  | ) | const

inline

Definition at line 1051 of file Drawable.h.

void Magick::DrawableLine::endY | ( | double | endY_ | ) |

inline

Definition at line 1056 of file Drawable.h.

double Magick::DrawableLine::endY | ( | void |  | ) | const

inline

Definition at line 1060 of file Drawable.h.

void Magick::DrawableLine::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::DrawableBase.

Definition at line 724 of file Drawable.cpp.

void Magick::DrawableLine::startX | ( | double | startX_ | ) |

inline

Definition at line 1029 of file Drawable.h.

double Magick::DrawableLine::startX | ( | void |  | ) | const

inline

Definition at line 1033 of file Drawable.h.

void Magick::DrawableLine::startY | ( | double | startY_ | ) |

inline

Definition at line 1038 of file Drawable.h.

double Magick::DrawableLine::startY | ( | void |  | ) | const

inline

Definition at line 1042 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp